From 795ec318d7adf774d8c7c6e1696771afab4ccbcf Mon Sep 17 00:00:00 2001
From: Raghav Gururajan <raghavgururajan@disroot.org>
Date: Mon, 30 Mar 2020 12:46:26 -0400
Subject: [PATCH 19/19] gnu: packages: linphone: Add linphoneqt

* gnu/packages/linphone.scm (linphoneqt): New variable.
---
 gnu/packages/linphone.scm | 49 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 49 insertions(+)

diff --git a/gnu/packages/linphone.scm b/gnu/packages/linphone.scm
index e2cd6de2f6..518b3dca8c 100644
--- a/gnu/packages/linphone.scm
+++ b/gnu/packages/linphone.scm
@@ -25,6 +25,7 @@
   #:use-module (gnu packages base)
   #:use-module (gnu packages compression)
   #:use-module (gnu packages documentation)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages gl)
   #:use-module (gnu packages glib)
@@ -40,6 +41,7 @@
   #:use-module (gnu packages pulseaudio)
   #:use-module (gnu packages python)
   #:use-module (gnu packages python-xyz)
+  #:use-module (gnu packages qt)
   #:use-module (gnu packages sqlite)
   #:use-module (gnu packages telephony)
   #:use-module (gnu packages tls)
@@ -597,3 +599,50 @@ and instant messaging.  It is fully SIP-based, for all calling, presence
 and IM features.")
  (home-page "https://linphone.org")
  (license license:gpl2+)))
+
+(define-public linphoneqt
+ (package
+  (name "linphoneqt")
+   (version "4.1.1")
+   (source
+    (origin
+     (method url-fetch)
+     (uri
+      (string-append "https://www.linphone.org/releases/sources/" name
+                     "/" name "-" version ".tar.gz"))
+     (sha256
+      (base32 "1g2zrr9li0g1hgs6vys06vr98h5dx36z22hx7a6ry231536c002a"))))
+ (build-system cmake-build-system)
+ (arguments
+  `(#:tests? #f ; No test target
+    #:configure-flags
+     (list
+      "-DENABLE_DBUS=YES"
+      "-DENABLE_UPDATE_CHECK=YES")
+    #:phases
+     ;; For replacing undeclared variable.
+     (modify-phases %standard-phases
+      (add-after 'unpack 'patch
+       (lambda _
+        (substitute* "src/app/AppController.cpp"
+         (("LINPHONE_QT_GIT_VERSION")
+          "\"4.1.1\""))
+        #t)))))
+ (native-inputs
+  `(("gcc" ,gcc-5))) ; Required for libstd.h
+ (inputs
+  `(("qtbase" ,qtbase)
+    ("qtdeclarative" ,qtdeclarative)
+    ("qtquickcontrols2" ,qtquickcontrols2)
+    ("qtsvg" ,qtsvg)
+    ("qttools" ,qttools)))
+ (propagated-inputs
+  `(("bctoolbox" ,bctoolbox)
+    ("belcard" ,belcard)
+    ("linphone" ,linphone)))
+ (synopsis "Belledonne Communications Softphone")
+ (description "Linphone is a softphone for voice and video over IP calling
+and instant messaging.  It is fully SIP-based, for all calling, presence
+and IM features.")
+ (home-page "https://linphone.org")
+ (license license:gpl2+)))
-- 
2.26.0

